import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Betdcr{
    constructor () {
        this.data = {
						bedgrp:{
							blk:{
								intdis:"",			//  Internal Discrepancies		.bedgrp.blk.intdis
								docdis:"",			//  Discrepancies		.bedgrp.blk.docdis
								docdisflg:"",			//  Discrepancies modified		.bedgrp.blk.docdisflg
								docins:"",			//  Reasons for Rejection		.bedgrp.blk.docins
								disdoc:"",			//  Disposal of Documents		.bedgrp.blk.disdoc
							},
							rec:{
								ownref:"",			//  单据参考号		.bedgrp.rec.ownref
								doctypcod:"",			//  单据类型		.bedgrp.rec.doctypcod
								matdat:"",			//  到期日		.bedgrp.rec.matdat
								rcvdat:"",			//  到单日期		.bedgrp.rec.rcvdat
								predat:"",			//  Presentation Date		.bedgrp.rec.predat
								docsta:"",			//  单据状态		.bedgrp.rec.docsta
								nam:"",			//  Externally Displayed Name to Identify the Contract		.bedgrp.rec.nam
								advdocflg:"",			//  Return of Documents		.bedgrp.rec.advdocflg
								payrol:"",			//  Payer		.bedgrp.rec.payrol
								docprbrol:"",			//  Presented by		.bedgrp.rec.docprbrol
							},
							cbs:{
								max:{
									cur:"",			//  单据金额		.bedgrp.cbs.max.cur
									amt:"",			//  单据金额		.bedgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  单据余额		.bedgrp.cbs.opn1.cur
									amt:"",			//  Balance		.bedgrp.cbs.opn1.amt
								},
							},
							prb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bedgrp.prb.namelc
								adrelc:"",			//  地址		.bedgrp.prb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bedgrp.prb.dbfadrblkcn
							},
							iss:{
								pts:new Pts().data,
							},
							apl:{
								pts:new Pts().data,
							},
							oth:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bedgrp.oth.namelc
								adrelc:"",			//  地址		.bedgrp.oth.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bedgrp.oth.dbfadrblkcn
							},
						},
						betp:{
							docgrdm:{
								docdsclab:"",			//  Label of document description		.betp.docgrdm.docdsclab
							},
							ledget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.betp.ledget.sdamod.dadsnd
									seainf:"",			//  		.betp.ledget.sdamod.seainf
								},
							},
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.betp.recget.sdamod.dadsnd
									seainf:"",			//  		.betp.recget.sdamod.seainf
								},
							},
							adaflg:"",			//  Add. amount		.betp.adaflg
							othp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.betp.othp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.betp.othp.ptsget.sdamod.dadsnd
									},
								},
							},
							prbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.betp.prbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.betp.prbp.ptsget.sdamod.dadsnd
									},
								},
							},
						},
						rejpenins:"",			//  Rejection pending instructions		.rejpenins
						liaall:{
							misamt:"",			//  Amount not yet assigned		.liaall.misamt
							concur:"",			//  External Booking Amount		.liaall.concur
							outpct:"",			//  Sight Amount Percentage		.liaall.outpct
							outamt:"",			//  Sight Amount		.liaall.outamt
							exttotoldamt:"",			//  Old Amount booked externally		.liaall.exttotoldamt
							exttotamt:"",			//  Total booking amount external assinged		.liaall.exttotamt
						},
						setmod:{
							docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
							ref:"",			//  our reference		.setmod.ref
							doccur:"",			//  document currency		.setmod.doccur
							docamt:"",			//  document amount		.setmod.docamt
							dspflg:"",			//  Type of settlement		.setmod.dspflg
							xreflg:"",			//  Recalculate Rates		.setmod.xreflg
							redamt:"",			//  减少的金额		.setmod.redamt
							setamt:"",			//  减少后的结算金额		.setmod.setamt
							redamttxt:"",			//  注释		.setmod.redamttxt
							retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
							},
							zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
							zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
							setfog: {
								setfol: []
							},
							setfeg: {
								setfel: []
							},
							glemod:{
								gleshwstm:"",			//  Booking stream to Display		.setmod.glemod.gleshwstm
							},
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
							clsflg:"",			//  Close Flag		.mtabut.clsflg
						},
						trnmod:{
							trndoc:{
								advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
								amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
								advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
								advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
								amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
								doclbl:"",			//  Lable for CONDOCSTM		.trnmod.trndoc.doclbl
								doctrestm:"",			//  Document tree		.trnmod.trndoc.doctrestm
								shwinc:"",			//  Show Incoming Messages		.trnmod.trndoc.shwinc
								shwout:"",			//  Show Outgoing Messages		.trnmod.trndoc.shwout
								condocstm:"",			//  Connected Documents		.trnmod.trndoc.condocstm
								rcvatt:{
									seainf:"",			//  		.trnmod.trndoc.rcvatt.seainf
								},
								filrecv:"",			//  File Receiver		.trnmod.trndoc.filrecv
								addstr750:"",			//  Tag 72  (MT750)		.trnmod.trndoc.addstr750
							},
						},
						ledgrp:{
							rec:{
								ownref:"",			//  参考号		.ledgrp.rec.ownref
							},
							cbs:{
								opn1:{
									cur:"",			//  Currency		.ledgrp.cbs.opn1.cur
									amt:"",			//  Balance		.ledgrp.cbs.opn1.amt
								},
							},
						},
						advrefflg:"",			//  Advice of Refusal MT734		.advrefflg
						advdisflg:"",			//  Advice of Discrepancy MT750		.advdisflg
						pageId: ""			// ctx的key
				}
    }
}