import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Brtset{
    constructor () {
        this.data = {
						brdgrp:{
							rec:{
								ownref:"",			//  单据参考号		.brdgrp.rec.ownref
								nam:"",			//  Name of Bill Contract		.brdgrp.rec.nam
								rcvdat:"",			//  到单日期		.brdgrp.rec.rcvdat
								advdat:"",			//  Date of Advice of Payment		.brdgrp.rec.advdat
								docflg:"",			//  单据类型		.brdgrp.rec.docflg
								docsta:"",			//  单据状态		.brdgrp.rec.docsta
								matdat:"",			//  Maturity Date		.brdgrp.rec.matdat
								tenmaxday:"",			//  Tenor day		.brdgrp.rec.tenmaxday
								stadat:"",			//  远期单据到期日		.brdgrp.rec.stadat
								frepayflg:"",			//  Free of Payment Flag		.brdgrp.rec.frepayflg
								docprbrol:"",			//  Presented by		.brdgrp.rec.docprbrol
								rptref:"",			//  合同号		.brdgrp.rec.rptref
								invref:"",			//  发票号		.brdgrp.rec.invref
							},
							cbs:{
								max:{
									cur:"",			//  单据金额		.brdgrp.cbs.max.cur
									amt:"",			//  单据金额		.brdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  单据余额		.brdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.brdgrp.cbs.opn1.amt
								},
								opn2:{
									cur:"",			//  附加金额		.brdgrp.cbs.opn2.cur
								},
							},
							apl:{
								pts:new Pts().data,
							},
							ben:{
								pts:new Pts().data,
							},
							prb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.brdgrp.prb.namelc
								adrelc:"",			//  地址		.brdgrp.prb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.brdgrp.prb.dbfadrblkcn
							},
						},
						lidgrp:{
							rec:{
								ownref:"",			//  信用证编号		.lidgrp.rec.ownref
								expdat:"",			//  Date of Expiry		.lidgrp.rec.expdat
							},
							cbs:{
								opn1:{
									cur:"",			//  Currency		.lidgrp.cbs.opn1.cur
									amt:"",			//  Balance		.lidgrp.cbs.opn1.amt
								},
							},
						},
						brtp:{
							lidget:{
								sdamod:{
									seainf:"",			//  		.brtp.lidget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.brtp.lidget.sdamod.dadsnd
								},
							},
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.brtp.recget.sdamod.dadsnd
									seainf:"",			//  		.brtp.recget.sdamod.seainf
								},
							},
							matp:{
								mattxtlab:"",			//  Label for MATTXT		.brtp.matp.mattxtlab
							},
							prbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.brtp.prbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.brtp.prbp.ptsget.sdamod.dadsnd
									},
								},
							},
							prechkdat:"",			//  预计核验日期		.brtp.prechkdat
							ischktyp:"",			//  是否需要核验		.brtp.ischktyp
						},
						liaall:{
							tenstm:"",			//  Tenor Stream		.liaall.tenstm
							misamt:"",			//  Amount not yet assigned		.liaall.misamt
							concur:"",			//  External Booking Amount		.liaall.concur
							outpct:"",			//  Sight Amount Percentage		.liaall.outpct
							outamt:"",			//  Sight Amount		.liaall.outamt
							exttotoldamt:"",			//  Old Amount booked externally		.liaall.exttotoldamt
							exttotamt:"",			//  Total booking amount external assinged		.liaall.exttotamt
							liaccv:{
								newamt:"",			//  合同金额		.liaall.liaccv.newamt
								concur:"",			//  应付保证金金额		.liaall.liaccv.concur
								totcovamt:"",			//  金额总和		.liaall.liaccv.totcovamt
								newresamt:"",			//  Reserved Amount		.liaall.liaccv.newresamt
								addinf:"",			//  Additional Information 		.liaall.liaccv.addinf
								cshpct:"",			//  保证金应收比例		.liaall.liaccv.cshpct
								relcshpct:"",			//  保证金实收比例		.liaall.liaccv.relcshpct
								gleflg:"",			//  Create gle flag		.liaall.liaccv.gleflg
								chgcurflg:"",			//  Change currency flag		.liaall.liaccv.chgcurflg
								pctresamt:"",			//  reserve amount based percent		.liaall.liaccv.pctresamt
							},
							limmod:{
								limpfp:{
									clmcbe:[],			//  		.liaall.limmod.limpfp.clmcbe
									clmcbb:[],			//  		.liaall.limmod.limpfp.clmcbb
									clmpty:[],			//  		.liaall.limmod.limpfp.clmpty
								},
								limpts:{
									wrklab:"",			//  Label		.liaall.limmod.limpts.wrklab
									othlab:"",			//  Label		.liaall.limmod.limpts.othlab
									othlabss:"",			//  Label		.liaall.limmod.limpts.othlabss
									wrk:{
										pts:new Pts().data,
									},
									oth:{
										pts:new Pts().data,
									},
									lsh:"",			//  合同流�'号		.liaall.limmod.limpts.lsh
									nonrevflg1:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg1
									pfcod1:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod1
									nonrevflg2:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg2
									pfcod2:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod2
								},
								wrkp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.wrkp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.wrkp.ptsget.sdamod.seainf
										},
									},
								},
								othp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.othp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.othp.ptsget.sdamod.seainf
										},
									},
								},
								ownref:"",			//  国结业务编号		.liaall.limmod.ownref
								comamt:"",			//  业务余额		.liaall.limmod.comamt
								ccvamt:"",			//  保证金余额		.liaall.limmod.ccvamt
								ecifno:"",			//  ECIFNO		.liaall.limmod.ecifno
							},
						},
						setmod:{
							doccur:"",			//  document currency		.setmod.doccur
							docamt:"",			//  document amount		.setmod.docamt
							setamt:"",			//  Reduced Amt. Settled		.setmod.setamt
							redamt:"",			//  Reduction Amt.		.setmod.redamt
							docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
							retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
							ref:"",			//  our reference		.setmod.ref
							dspflg:"",			//  Type of settlement		.setmod.dspflg
							xreflg:"",			//  Recalculate Rates		.setmod.xreflg
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
							},
							zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
							zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
							glemod:{
								gleshwstm:"",			//  Booking stream to Display		.setmod.glemod.gleshwstm
							},
						},
						aamset:{
							utlamt:"",			//  单据金额		.aamset.utlamt
							utlamt2:"",			//  附加金额		.aamset.utlamt2
						},
						trtcre:{
							crefinflg:"",			//  Create Financing		.trtcre.crefinflg
						},
						paypsb:"",			//  Unpaid by Applicant		.paypsb
						mtabut:{
							clsflg:"",			//  Close Flag		.mtabut.clsflg
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						nar754:"",			//  Narrative :77A:		.nar754
						bptbck:{
							bptbckg:[],			//  		.bptbck.bptbckg
							dscbckcur:"",			//  currency discount paid back		.bptbck.dscbckcur
						},
						trnmod:{
							cmttag:"",			//  跨境人民币清算模式		.trnmod.cmttag
							swfflg:"",			//  报文类型		.trnmod.swfflg
							cmtflg:"",			//  CMT100 报文		.trnmod.cmtflg
							swftyp:"",			//  报文类型		.trnmod.swftyp
							trndoc:{
								advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
								amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
								advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
								advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
								amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
								doclbl:"",			//  Lable for CONDOCSTM		.trnmod.trndoc.doclbl
								doctrestm:"",			//  Document tree		.trnmod.trndoc.doctrestm
								shwinc:"",			//  Show Incoming Messages		.trnmod.trndoc.shwinc
								shwout:"",			//  Show Outgoing Messages		.trnmod.trndoc.shwout
								condocstm:"",			//  Connected Documents		.trnmod.trndoc.condocstm
								rcvatt:{
									seainf:"",			//  		.trnmod.trndoc.rcvatt.seainf
								},
								filrecv:"",			//  File Receiver		.trnmod.trndoc.filrecv
							},
						},
						dftcre:{
							dfflag:"",			//  同业代付		.dftcre.dfflag
						},
						zcsdrq:"",			//  最迟送达日期		.zcsdrq
						bopmod:{
							szflg:"",			//  申报类型		.bopmod.szflg
							basflg:"",			//  基础数据		.bopmod.basflg
							dclflg:"",			//  申报数据		.bopmod.dclflg
							vrfflg:"",			//  核销数据		.bopmod.vrfflg
							ownextkey:"",			//  地区机构号		.bopmod.ownextkey
							acttyp:"",			//  款项去向		.bopmod.acttyp
						},
						cfadft:{
							cfaflg:"",			//  海外代付		.cfadft.cfaflg
							ownextkey:"",			//  地区机构号		.cfadft.ownextkey
							basflg:"",			//  签约信息		.cfadft.basflg
							dclflg:"",			//  变动信息		.cfadft.dclflg
						},
						cfatrt:{
							ownextkey:"",			//  地区机构号		.cfatrt.ownextkey
							cfaflg:"",			//  外汇贷款		.cfatrt.cfaflg
							basflg:"",			//  签约信息		.cfatrt.basflg
							dclflg:"",			//  变动信息		.cfatrt.dclflg
							cda:{
								cfeogudad:"",			//  中资企业境外担保项下贷款业务批准文件号		.cfatrt.cda.cfeogudad
								cfeogudamount:"",			//  中资企业境外担保项下境内贷款额度金额		.cfatrt.cda.cfeogudamount
								useofunds:"",			//  资金用途		.cfatrt.cda.useofunds
								cfeogudcurr:"",			//  中资企业境外担保项下境内贷款额度币种		.cfatrt.cda.cfeogudcurr
							},
							cdaflg:"",			//  是否外保内�'�		.cfatrt.cdaflg
						},
						cfabrt:{
							basflg:"",			//  签约信息		.cfabrt.basflg
							cfaflg:"",			//  远期信用证		.cfabrt.cfaflg
							dclflg:"",			//  变动信息		.cfabrt.dclflg
							ownextkey:"",			//  地区机构号		.cfabrt.ownextkey
						},
						cnybop:{
							cnyflg:"",			//  是否报送跨境人民币2101表		.cnybop.cnyflg
							traflg:"",			//  是否报送跨境人民币2107表		.cnybop.traflg
							outflg:"",			//  是否报送跨境人民币2111表		.cnybop.outflg
							libflg:"",			//  是否报送跨境人民币2106表		.cnybop.libflg
							vouflg:"",			//  是否报送跨境人民币2122表		.cnybop.vouflg
						},
						hmdmod2:{
							bennam:"",			//  交易对手名称		.hmdmod2.bennam
						},
						pageId: ""			// ctx的key
				}
    }
}